<!DOCTYPE html>
<html lang="en">
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" th:href="@{/css/style.css}" />
    <link href="https://fonts.googleapis.com/css2?family=Antic+Slab&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
</head>
<body>
<div class="mainHolder">
    <div class="alert alert-secondary alert-dismissible fade" style="position: absolute; top: 0px; right: 0px; left: 0px; margin: auto; width: 30%" role="alert" id="myAlert">
        <div id="alert-message"></div>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <h1 id="title" class="display-4"></h1>
    <p id="signedDate" class="lead" style="margin-left: 10px;">
    </p>

    <p class="mb-0" style="text-align: right;font-family: 'Antic Slab', serif;">
        <a class="menuItem" th:href="@{/edit/{id}(id=${diaryEntry.id})}">[Edit]</a>  <a class="menuItem" th:onclick="'javascript:deleteThis(' + ${diaryEntry.id} + ')'" >[Delete]</a>  <a class="menuItem" href="/">[Return]</a>
    </p>

    <p id="textHolder123" class="mb-0" style="word-wrap: break-word; opacity: 0; font-family: 'Antic Slab', serif;">
    </p>
</div>
</body>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
<script type="text/javascript" th:src="@{/javascript/scripts.js}"></script>
<script th:inline="javascript">
    if([[${redirectedFrom}]] === "edit") {
        document.getElementById("myAlert").classList.add("show");
        document.getElementById("alert-message").innerText = "The view page was edited successfully";
        console.log("The view page was edited successfully")
    } else if ([[${redirectedFrom}]] === "create") {
        document.getElementById("myAlert").classList.add("show");
        document.getElementById("alert-message").innerText = "The view page was created successfully";
        console.log("The view page was created successfully")
    }

    document.getElementById("title").innerText = [[${diaryEntry.title}]]
    document.getElementById("signedDate").innerText = "- " + [[${diaryEntry.signedBy}]] + " " + [[${diaryEntry.date}]].toString().split("T")[0]
    appendTextSlowly([[${diaryEntry.text}]])
    //Appends the text very slow
    function appendTextSlowly(s) {
        console.log(s)
        let string = ""
        let timer = 20;
        let adder = 100/s.length/100
        let op = 0
        for(const c of s) {
            setTimeout(() => {
                string += c
                op += adder
                document.getElementById("textHolder123").style.opacity = op
                if(string.length === s.length) {
                    appenit(string, true)
                }
                else {
                    appenit(string)
                }

            },timer)
            timer += 1
        }
    }
    let k = ""
    function appenit(y, done = false) {
            document.getElementById("textHolder123").innerText = y
            if(validURL([[${diaryEntry.url}]]) && [[${diaryEntry.url}]] !== null && [[${diaryEntry.url}]] !== "") {
                document.getElementById("textHolder123").innerHTML = "<img onerror=\"this.src='../resources/404.png';\" id=\"imagetagi\" src=\""+(validURL([[${diaryEntry.url}]]) ? [[${diaryEntry.url}]] : "../resources/404.png" ) +"\" style=\"max-width: 30vw; max-height: 30vh; display:block; margin: 10px auto; float:right;\">" + document.getElementById("textHolder123").innerHTML
            }
    }

</script>
</html>
